summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorStephan Springer2020-01-18 10:25:32 +0100
committerStephan Springer2020-01-18 10:25:32 +0100
commit629b25b8d3a726f4a56ffaeef3ba7b76d2c367f8 (patch)
tree3295c24be9466b4ffebbcc77535d5907a14287c1
parent9adeb26e5f7ba454b4705b7a04a4673233e12a7c (diff)
downloadaur-629b25b8d3a726f4a56ffaeef3ba7b76d2c367f8.tar.gz
update to version 3.4.15
-rw-r--r--.SRCINFO11
-rw-r--r--PKGBUILD12
-rw-r--r--fix-include.diff10
3 files changed, 9 insertions, 24 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 73d34939a3f..9d33750ea92 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,6 +1,6 @@
pkgbase = qgis-ltr
pkgdesc = Geographic Information System (GIS); Long Term Release
- pkgver = 3.4.14
+ pkgver = 3.4.15
pkgrel = 1
url = https://qgis.org/
arch = x86_64
@@ -8,6 +8,7 @@ pkgbase = qgis-ltr
makedepends = cmake
makedepends = fcgi
makedepends = gsl
+ makedepends = python-setuptools
makedepends = python-six
makedepends = qt5-tools
makedepends = txt2tags
@@ -36,12 +37,10 @@ pkgbase = qgis-ltr
optdepends = python-pygments: MetaSearch plugin
optdepends = python-numpy: Processing plugin
optdepends = python-yaml: Processing plugin
- provides = qgis=3.4.14
+ provides = qgis=3.4.15
conflicts = qgis
- source = https://qgis.org/downloads/qgis-3.4.14.tar.bz2
- source = fix-include.diff
- md5sums = 1cd1220b8103b42cb21e73e5a57cb5b0
- md5sums = 610bb88927095876c3f83020cdca523c
+ source = https://qgis.org/downloads/qgis-3.4.15.tar.bz2
+ md5sums = fa934484202c0901ce839da43ae95b88
pkgname = qgis-ltr
diff --git a/PKGBUILD b/PKGBUILD
index 48b71f2e17d..0313a3d7c79 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -13,7 +13,7 @@
_pkgname=qgis
pkgname="$_pkgname"-ltr
-pkgver=3.4.14
+pkgver=3.4.15
pkgrel=1
pkgdesc='Geographic Information System (GIS); Long Term Release'
url='https://qgis.org/'
@@ -21,7 +21,7 @@ license=(GPL)
arch=(x86_64)
depends=(desktop-file-utils gdal hicolor-icon-theme libzip python-qscintilla-qt5 qca qt5-3d
qt5-serialport qt5-webkit qt5-xmlpatterns qtkeychain qwtpolar spatialindex python-sip)
-makedepends=(cmake fcgi gsl python-six qt5-tools txt2tags sip)
+makedepends=(cmake fcgi gsl python-setuptools python-six qt5-tools txt2tags sip)
optdepends=('fcgi: Map server'
'gpsbabel: GPS Tools plugin'
'gsl: Georeferencer plugin'
@@ -34,16 +34,12 @@ optdepends=('fcgi: Map server'
'python-yaml: Processing plugin')
provides=("$_pkgname=$pkgver")
conflicts=("$_pkgname")
-source=("https://qgis.org/downloads/$_pkgname-$pkgver.tar.bz2"
- fix-include.diff)
+source=("https://qgis.org/downloads/$_pkgname-$pkgver.tar.bz2")
# curl https://qgis.org/downloads/qgis-latest-ltr.tar.bz2.md5
-md5sums=('1cd1220b8103b42cb21e73e5a57cb5b0'
- '610bb88927095876c3f83020cdca523c')
+md5sums=('fa934484202c0901ce839da43ae95b88')
prepare() {
mkdir -p build
- # patch from https://github.com/qgis/QGIS/issues/30316
- patch -d "$_pkgname-$pkgver" -p0 <fix-include.diff
}
build() {
diff --git a/fix-include.diff b/fix-include.diff
deleted file mode 100644
index 128551e81e8..00000000000
--- a/fix-include.diff
+++ /dev/null
@@ -1,10 +0,0 @@
---- src/analysis/interpolation/qgsinterpolator.h~ 2019-07-19 14:11:18.000000000 +0200
-+++ src/analysis/interpolation/qgsinterpolator.h 2019-07-27 13:38:55.394560050 +0200
-@@ -19,6 +19,7 @@
- #define QGSINTERPOLATOR_H
-
- #include <QVector>
-+#include <QList>
- #include "qgis_sip.h"
- #include "qgis_analysis.h"
-